g.gui(1)

NAME
g.gui - Launches a GRASS graphical user interface (GUI) session.
Optionally updates default user interface settings.

KEYWORDS
general, GUI, user interface

SYNOPSIS
g.gui
g.gui --help
g.gui [-fdn] [ui=string] [workspace=name.gxw] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-f
    Start GUI in the foreground
    By default the GUI starts in the background and control is immediately returned to the caller. When GUI runs in foregreound, it blocks the command line

-d
    Update default user interface settings

-n
    Do not launch GUI after updating the default user interface settings

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

ui=string
    User interface
    Options: wxpython, text, gtext
    Default: wxpython
    wxpython: wxPython based GUI (wxGUI)
    text: command line interface only
    gtext: command line interface with GUI startup screen

workspace=name.gxw
    Name of workspace file to load on start-up
    This is valid only for wxGUI (wxpython)

DESCRIPTION
The g.gui module allows user to start the Graphical User Interface (GUI) from the command line prompt or to change the default User Interface (UI) settings.

GRASS GIS 7 comes with both a wxPython-based GUI aka wxGUI (ui=wxpython) and command line text-based UI (ui=text).

NOTES
If the -d update flag is given or the GRASS_GUI environmental variable is unset, then the GRASS internal variable GUI is permanently changed and the selected ui will be used as the default UI from then on.

All GRASS internal variables (see g.gisenv) are stored in the user’s home directory in a hidden file called $HOME/.grass7/rc on Unix-based operating systems and %APPDATA%\GRASS7\rc on MS Windows. Note that these GRASS internal variables are not the shell environment variables and the rc file is not a classic UNIX run command file, it just contains persistent GRASS variables.

EXAMPLES

  Set default user interface settings
Set default user interface setting to command line, text-based UI:

g.gui -d ui=text

Set default user interface setting to the graphical user interface (GUI) and launch the GUI:

g.gui -d ui=wxpython

Set default user interface setting to the graphical user interface (GUI) but do not launch the GUI:

g.gui -dn ui=wxpython

  Load workspace from command line
Start the GUI from command line with an existing workspace:

g.gui workspace=myproject.gxw

SEE ALSO
wxGUI, g.gisenv, GRASS variables

wxGUI wiki page

AUTHORS
Martin Landa, FBK-irst, Trento, Italy
Hamish Bowman, Otago University, Dunedin, New Zealand (fine tuning)

SOURCE CODE

Available at: g.gui source code (history)

Accessed: Wednesday Jul 09 13:12:25 2025

Main index | General index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 7.8.8 Reference Manual